Bug 1852792 - Should forbidden to create the KubeletConfig object if lack of the evictionSoftGracePeriod when using the soft eviction
Summary: Should forbidden to create the KubeletConfig object if lack of the evictionSo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Harshal Patil
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1852787
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-01 10:29 UTC by OpenShift BugZilla Robot
Modified: 2020-08-25 06:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: evictionSoft must be specified with corresponding evictionSoftGracePeriod Consequence: Kubelet will fail to start without valid configuration Fix: During KubeletConfig creation verify that evictionSoft is supplied with corresponding evictionSoftGracePeriod Result: Kubelet should start normally with evictionSoft support
Clone Of:
Environment:
Last Closed: 2020-08-25 06:20:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2000 None closed [release-4.4] Bug 1852792: KubeletConfig: Verify EvictionSoftGracePeriod is set when EvictionSof… 2020-09-27 17:07:06 UTC
Red Hat Product Errata RHBA-2020:3440 None None None 2020-08-25 06:20:38 UTC

Comment 6 MinLi 2020-08-17 07:42:00 UTC
verified in version : 4.4.0-0.nightly-2020-08-15-035358

status:
  conditions:
  - lastTransitionTime: "2020-08-17T07:37:14Z"
    message: 'Error: KubeletConfiguration: evictionSoft[nodefs.inodesFree] is defined
      but EvictionSoftGracePeriod[nodefs.inodesFree] is not set'
    status: "False"
    type: Failure
  - lastTransitionTime: "2020-08-17T07:40:41Z"
    message: 'Error: KubeletConfiguration: EvictionSoftGracePeriod must be set when
      evictionSoft is defined, evictionSoft: map[memory.available:90% nodefs.available:90%
      nodefs.inodesFree:90%]'
    status: "False"
    type: Failure

Comment 8 errata-xmlrpc 2020-08-25 06:20:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3440


Note You need to log in before you can comment on or make changes to this bug.